Bug 566598 - Review Request: cover-thumbnailer - Display music cover and more in nautilus
Review Request: cover-thumbnailer - Display music cover and more in nautilus
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-02-18 17:25 EST by FLOZz
Modified: 2011-02-21 15:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 11:20:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description FLOZz 2010-02-18 17:25:34 EST
Spec URL: http://tmp.fgsp.org/fedora/rpm/cover-thumbnailer.spec
SRPM URL: http://tmp.fgsp.org/fedora/rpm/cover-thumbnailer-0.7-1.fc11.src.rpm
Description: 
Cover thumbnailer is a small Python script which displays music album covers in nautilus, preview of pictures which are in a folder and more.
The script fits in nautilus like any other thumbnailer of the GNOME thumbnail factory; so you don't have to run it manually to generate thumbnails.
Comment 1 FLOZz 2010-02-18 17:37:23 EST
rmplint output :
cover-thumbnailer.noarch: W: non-conffile-in-etc /etc/gconf/schemas/cover-thumbnailer.schemas
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

build successfully with mock
Comment 2 Germán Racca 2010-03-24 18:47:50 EDT
Hello FLOZz:

This is not an official review, but some preliminary observations:

1. At first glance I can see that you need to prefix configuration files with %config (as indicated by the output of rpmlint) as follows:

%config %{_sysconfdir}/gconf/schemas/cover-thumbnailer.schemas

2. BuildRoot is no more needed, so you can remove the line:

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

3. Also don't need to remove and create buildroot in install section, so you can remove the lines:

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT


Hope this helps you.
Cheers,
Germán.
Comment 3 Mohamed El Morabity 2010-03-24 20:25:17 EDT
> 1. At first glance I can see that you need to prefix configuration files with
> %config (as indicated by the output of rpmlint) as follows:
> 
> %config %{_sysconfdir}/gconf/schemas/cover-thumbnailer.schemas
No, GConf files are not concerned by this tag, these files are not intended to be modified in theory, so they cannot be considered to be conf. files. rpmlint warnings about these files are false-positives and should be ignored.
Some "case laws" ^^:
   https://bugzilla.redhat.com/show_bug.cgi?id=564567#c2
   https://bugzilla.redhat.com/show_bug.cgi?id=494726#c0
Comment 4 Germán Racca 2010-03-24 21:02:03 EDT
OK thanks for clarifying!

If you take a look at the spec file of totem, in my case totem-2.28.5-1.fc12.i686, you can see that GConf files are prefixed with %config. I was following this example.
Comment 5 FLOZz 2010-03-25 12:07:41 EDT
I have updated the SPEC and the package (the version is now the 0.7.2) :)

SPEC : http://tmp.fgsp.org/fedora/rpm/cover-thumbnailer.spec
SRPM : http://tmp.fgsp.org/fedora/rpm/cover-thumbnailer-0.7.2-1.fc11.src.rpm

@Germán Racca :
I have removed "rm -rf $RPM_BUILD_ROOT" in the %install section, but I can't remove "mkdir -p $RPM_BUILD_ROOT", because I can't build the package without :/
Comment 6 Germán Racca 2010-03-25 16:48:42 EDT
Get ride of "rm -rf $RPM_BUILD_ROOT" in the %install section and then take a look at the output of rpmlint command:

[german@skytux i686]$ rpmlint -i cover-thumbnailer-0.7.2-1.fc12.i686.rpm 
cover-thumbnailer.i686: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

cover-thumbnailer.i686: W: non-conffile-in-etc /etc/gconf/schemas/cover-thumbnailer.schemas
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

So you are  missing "BuildArch: noarch" in your spec file.
Hope this helps you!
Comment 7 FLOZz 2010-03-27 05:20:16 EDT
I have added "BuildArch: noarch".
Thanks ! :)

SPEC : http://tmp.fgsp.org/fedora/rpm/cover-thumbnailer.spec
SRPM : http://tmp.fgsp.org/fedora/rpm/cover-thumbnailer-0.7.2-1.fc11.src.rpm
Comment 8 Germán Racca 2010-06-16 01:03:55 EDT
Who can review this?
Comment 9 Fabian Affolter 2011-01-05 03:26:14 EST
The latest release is 0.8.1.
Comment 10 Jason Tibbitts 2011-01-18 10:41:02 EST
FLOZz, did you still wish to submit this package?  I don't use gnome so I can't be of much assistance here, but I can suggest that you read http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group and start doing some of the things indicated there.  I notice a correspondence between your email domain and the upstream site; if you are the upstream author or involved in upstream development, you should communicate that to us.  It would also be good to provide a real name to bugzilla (since you'll need to do that anyway when you obtain a Fedora account).
Comment 11 FLOZz 2011-02-21 11:20:19 EST
I have no more time to do this package...
Someone else want to do it, so I close this bug :)

Note You need to log in before you can comment on or make changes to this bug.